Subject: Re: [Sigtran] (M2PA) Comments on M2PA v8

From: [email-masked]
Date: Mon, 2 Jun 2003 07:38:53 -0400

Hello Tom,

Your changes sound good to me.

Regards,

Jeff

                      Tom George                                                                                                  
                      <Tom.George@alca         To:      [email-masked]                                                          
                      tel.com>                 cc:                                                                                
                      Sent by:                 Subject: Re: [Sigtran] (M2PA) Comments on M2PA v8                                  
                      sigtran-admin@ie                                                                                            
                      tf.org                                                                                                      

                      05/30/03 06:25                                                                                              
                      PM                                                                                                          

Here is how I think I should fix this:

1. Delete the sentence in 4.2.1
"M2PA SHOULD ignore the FSN and BSN contained in a Link Status message."
There is no harm in using those fields, as long as they are used
appropriately. This will also fix the inconsistency David Lehmann
pointed out.

2. In 4.1.4, M2PA should resynchronize its sequence numbers after PO the
same way MTP2 does. In the case of Q.703 Figure 13 sheet 7, the BSNR
would come from the LS Processor Recovered message instead of the first
MSU/FISU as in MTP2.

3. The statement in 4.2.1
"For message types other than User Data, the Forward Sequence Number is
set to the FSN of the last User Data message sent."
needs some qualification. After PO, it is set as in item 2 above.

3. "Flush buffers" is going to mean about the same in M2PA as it does in
MTP2. It will have to apply to both M2PA and SCTP buffers.

4. "Continue" after PO will mean that M2PA starts receiving and
processing the messages that were buffered and not acknowledged during
PO.

tomG.

Long ago Jeff Craig wrote:
> > page 29, 4.2.1:
> >
> >     "M2PA SHOULD ignore the FSN and BSN contained in a Link Status
> >     message."
> >
> >     This sentence contradicts Q.703 Figure 13, Sheet 7 of 7, which
> >     indicates that the BSN of the M2PA LSPR should be used by the
> >     recipient to set the initial FSN upon exiting remote processor
> >     outage condition.
> >
> >     M2PA differs from MTP2 in that both sides buffer user data
> >     received during processor outage. This difference needs to be
> >     explained in detail in the draft. Processing of the buffered
> >     messages needs to be explained for the cases of both FLUSH and
> >     RESUME. As it stands now, the draft contradicts Q.703 and
> >     does not explain how the M2PA peers keep sequence numbers
> >     synchronized when existing from the processor outage condition.
>
> I think you are right here, too. I will need to think about this one.

--
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
 https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran